Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 18372
Description

based on #9834

| check the generate Atlas options, yet | have to check the map composer item controlled by Atlas option manually which seems not good
UI/UX design

Related issues:
Related to QGIS Application - Bug report # 9834: Atlas weird behaviour Closed 2014-03-22

History

#1 - 2014-03-23 02:11 PM - Nyall Dawson

Any ideas for this? Ui design isn't really my strength... Happy to makes changes if you can suggest a better workflow!

#2 - 2014-03-23 03:18 PM - Anita Graser

For reference: The discussion so far http://osgeo-org.1560.x6.nabble.com/Atlas-preview-td5103375.html

#3 - 2014-03-23 03:30 PM - Anita Graser

| would probably enable it by default on all maps which are not overview maps.

As a user, | would expect to control Atlas behavior from the Atlas tab and not in the individual map item properties. So there could also be a check list of

available maps in the Atlas tab.

#4 - 2014-03-23 03:46 PM - Nyall Dawson

What about the per map atlas settings (fixed scale/margin/hidden coverage layer (this last setting will become per map in2.4))? Where should they go?

#5 - 2014-03-24 01:34 AM - Paolo Cavallini

I think moving all the Atlas related commands to the Atlas tab is the right way to go. Probably a dropdown with the list of maps is the best option.

#6 - 2014-03-24 01:39 AM - Nyall Dawson

It used to be controlled via a drop down in the atlas panel, but | had to change it when | added support for multiple maps to be atlas controlled. A drop down
http://osgeo-org.1560.x6.nabble.com/Atlas-preview-td5103375.html

doesn't allow more than one map to be selected...

#7 - 2014-03-24 01:40 AM - Paolo Cavallini

OK, so a checkbox would be the best option IMHO

#8 - 2014-03-24 03:01 AM - Nyall Dawson
OK, but what about the per map atlas settings, like the control over fixed scale/margin around features? These are set per map and not for the atlas as a

whole (ie, it's possible to have one map set to a fixed scale and another set to margin mode). I'm also going to make the "hide coverage layer" setting a per
map setting. So where should these be placed? | guess they could be placed in a seperate dialog window, but that doesn't seem like great Ul either...

#9 - 2014-03-24 03:42 AM - Anita Graser

- File atlas_maps1.png added

We could have something similar to the layer list and on double-click there could be the map-specific settings.

atlas_maps1.png

#10 - 2014-03-24 04:34 AM - Alexandre Neto

| would keep map specific options (even atlas related) in the item properties, but:

- | would make all maps controlled by atlas by default (No extra clicking);

- I would add a small marker on the top right corner of each map to inform the user that the map is atlas controlled (similar to the little locker when the
position is fixed);

- While in preview mode, It would be nice to see the markers in all controlled maps.

#11 - 2014-03-24 08:10 AM - Antonio Locandro

| have to say | just fiddled with Atlas for an afternoon, thanks Anita for splitting the original issue since | put all together in one ticket originally.

In my case | had just one map so when | clicked Generate Atlas | expected it would be controlled by it automatically. Now | see the case where they might
be more than one Atlas controlled map, | think the only Atlas controlled features per map are basically:

Configuration
Scale/Margin

Ouput would be for the whole Atlas Setting

May | suggest you put the MAP checkbox immediately after the Generate Atlas option, the check box beside the map would let users select which layers
would be Atlas controlled which | find ok, how about if the settings for each individual map can be set like this,

| select the map | want to configure by clicking on it and it would be highlighted (similar to layers in map canvas), then the rest of the configurations would
be populated with properties regarding that map, if | select map 2 the configuration properties would be populated with the map setting regarding that

map, that way no extra tab or pop up dialog is required.

| seriously doubt there might be a use case to have more than 5 maps controlled by Atlas at the same time, but just in case if more than 5 maps are
present the checkbox needs scrolling capabilities

| would expect to control all Atlas settings within the Atlas tab, and all setting on Item properties when not controlled by Atlas

| could live without the Generate Atlas checkbox since it won't do a thing unless preview mode is enabled, so in essence once a user hits preview on the

toolbar the user is generating the Atlas, when Preview is off Atlas is off

#12 - 2014-03-28 12:04 PM - Anita Graser

Hi Alexandre,

| like your idea of having a marker on the map corner if it's atlas-controlled.

Could you share your thoughts about why you prefer to keep atlas-related map options in the item properties?

#13 - 2014-03-28 12:50 PM - Alexandre Neto

Actually I'm a bit divided. | like the idea of having all the properties of an item together for the sake of control. But | can see the benefits of having atlas

options together as well.

Maybe we could keep all properties in atlas, but have some behaviors changing in items properties as well to warn or remember the user that that item is
atlas controlled. For instance, if the atlas is on, and the map is atlas controlled, then scale and extension option would be grayed out. Because it wouldn't
matter changing the scale or extension of the map if it's going to be changed by atlas "orders".

It would give extra work in coding but maybe the atlas controlled check box could be repeated in both places. (not sure about this...)

#14 - 2015-09-29 05:59 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

Closing this due to lack of a better UX solution. | think now that users are accustomed to the new way of setting atlas control it's OK.
